Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
DL_KeyDerivationAlgorithm_P1363< T, DHAES_MODE, KDF > Class Template Reference

_ More...

`#include <gfpcrypt.h>`

Inheritance diagram for DL_KeyDerivationAlgorithm_P1363< T, DHAES_MODE, KDF >:

List of all members.

## Public Member Functions

bool | ParameterSupported (const char *name) const
void | Derive (const DL_GroupParameters< T > &params, byte *derivedKey, size_t derivedLength, const T &agreedElement, const T &ephemeralPublicKey, const NameValuePairs &parameters) const

## Detailed Description

### template<class T, bool DHAES_MODE, class KDF>
class DL_KeyDerivationAlgorithm_P1363< T, DHAES_MODE, KDF >

_

Definition at line 496 of file gfpcrypt.h.

The documentation for this class was generated from the following file:

- gfpcrypt.h